## org.biojavax.bio.phylo.io.nexus
Interface NexusBlockBuilder

All Superinterfaces:
  NexusBlockListener

All Known Implementing Classes:
  CharactersBlockBuilder, DataBlockBuilder, DistancesBlockBuilder, NexusBlockBuilder.Abstract, TaxaBlockBuilder, TreesBlockBuilder

    public interface NexusBlockBuilder

extends NexusBlockListener

Builds a Nexus block from listening to events.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary
`static class` `NexusBlockBuilder.Abstract` This abstract version knows how to build and add comments.

Method Summary
`NexusBlock` `getNexusBlock()` Obtain the constructed block.

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockListener
`beginComment, commentText, endBlock, endComment, endTokenGroup, startBlock`

Method Detail

### getNexusBlock

    NexusBlock getNexusBlock()

  Obtain the constructed block.

  Returns:
    the constructed block.